<script setup lang="ts">
import { ref, defineExpose } from 'vue';

const msgList =ref<HTMLElement | null>(null)
const prop = defineProps<{
    messages: string[]
}>()

function updateUI() {
    console.log('update ui')
    msgList.value!.scrollTop = msgList.value!.scrollHeight
}

defineExpose({ updateUI })

</script>

<template>
    <div ref="msgList" style="height:500px; overflow-y: auto">
    <div :class="{card: true, com: index % 2 === 1}" v-for="(msg, index) of messages" :key="index">{{ msg }}</div>
    </div>
</template>

<style scoped>
.card {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    width: 80%;
    border-radius: 5px;
    height: 70pt;
    padding: 10px;
}
.com {
    background-color: antiquewhite;
}
</style>